<?php
/**
 * Header Options
 *
 * @package Majestic Blog
 */

$wp_customize->add_section(
	'majestic_blog_header_options',
	array(
		'panel' => 'majestic_blog_theme_options',
		'title' => esc_html__( 'Header Options', 'majestic-blog' ),
	)
);

// Header Options - Enable Topbar.
$wp_customize->add_setting(
	'majestic_blog_enable_topbar',
	array(
		'default'           => false,
		'sanitize_callback' => 'majestic_blog_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Majestic_Blog_Toggle_Switch_Custom_Control(
		$wp_customize,
		'majestic_blog_enable_topbar',
		array(
			'label'   => esc_html__( 'Enable Topbar', 'majestic-blog' ),
			'section' => 'majestic_blog_header_options',
		)
	)
);

// Header Options - Social Menu Label.
$wp_customize->add_setting(
	'majestic_blog_header_social_menu_text_label',
	array(
		'default'           => __( 'Follow Us', 'majestic-blog' ),
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'majestic_blog_header_social_menu_text_label',
	array(
		'label'           => esc_html__( 'Social Menu Text Label', 'majestic-blog' ),
		'section'         => 'majestic_blog_header_options',
		'settings'        => 'majestic_blog_header_social_menu_text_label',
		'type'            => 'text',
		'active_callback' => 'majestic_blog_is_topbar_section_enabled',
	)
);
